aboutsummaryrefslogtreecommitdiff
path: root/src/cpu
diff options
context:
space:
mode:
Diffstat (limited to 'src/cpu')
-rw-r--r--src/cpu/samsung/exynos5250/update-bl1.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/src/cpu/samsung/exynos5250/update-bl1.sh b/src/cpu/samsung/exynos5250/update-bl1.sh
new file mode 100644
index 0000000000..e47b25db9d
--- /dev/null
+++ b/src/cpu/samsung/exynos5250/update-bl1.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+BL1_NAME="E5250.nbl1.bin"
+BL1_PATH="3rdparty/cpu/samsung/exynos5250/"
+BL1_URL="http://commondatastorage.googleapis.com/chromeos-localmirror/distfiles/exynos-pre-boot-0.0.2-r8.tbz2"
+
+get_bl1() {
+ mkdir -p "${BL1_PATH}"
+ cd "${BL1_PATH}"
+ wget "${BL1_URL}" -O bl1.tbz2
+ tar jxvf bl1.tbz2
+ mv "exynos-pre-boot/firmware/${BL1_NAME}" .
+ rm -rf exynos-pre-boot
+ if [ ! -e "${BL1_NAME}" ]; then
+ echo "Error getting BL1"
+ fi
+}
+
+main() {
+ if [ ! -e ${BL1_PATH}/${BL1_NAME} ]; then
+ get_bl1
+ fi
+}
+
+set -e
+main "$@"